Cond::broadcast
Cond::destroy
Cond
PHP Manual

# Cond::create

(PECL pthreads >= 2.0.0)

Cond::create — Create a Condition

### Description

final public static long Cond::create ( void )

Creates a new Condition Variable for the caller.

### Parameters

This function has no parameters.

### Return Values

A handle to a Condition Variable

### Examples

Example #1 Condition Creation and Destruction

`<?php
/** You cannot use the "new" keyword, a Cond is not a PHP object **/
$cond = Cond::create();
/** You can now use the Cond in any context **/
var_dump($cond);
/** Always destroy Cond you have created **/
Cond::destroy($cond);
?>`

The above example will output:

    int(4540682)

Cond::broadcast
Cond::destroy
Cond
PHP Manual